freebsd-buildutils (10.3~svn296373-6ubuntu1) zesty; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - debian/patches/prototype-setmode.diff: Prototype setmode since
      freebsd-glue and libbsd don't do the right thing.

 -- Logan Rosen <logan@ubuntu.com>  Mon, 09 Jan 2017 23:20:58 -0500

freebsd-buildutils (10.3~svn296373-6) unstable; urgency=medium

  * Declare Conflicts: flex-old due to freebsd-buildutils shipping a
    libfl.a for freebsd-lex (Closes: #846578)
  * Make explicit Build-Depends on libfl-dev when using newer flex
    (Thanks, Helmut Grohne!) (Closes: #846427, #848736)

 -- Steven Chamberlain <stevenc@debian.org>  Sun, 08 Jan 2017 22:00:58 +0000

freebsd-buildutils (10.3~svn296373-5ubuntu1) zesty; urgency=medium

  * Merge from Debian unstable.  Remaining changes:
    - debian/patches/prototype-setmode.diff: Prototype setmode since
      freebsd-glue and libbsd don't do the right thing.

 -- Logan Rosen <logan@ubuntu.com>  Fri, 02 Dec 2016 02:15:42 -0500

freebsd-buildutils (10.3~svn296373-5) unstable; urgency=medium

  * Fix typo in debian/rules causing FTBFS on arm* architectures

 -- Steven Chamberlain <stevenc@debian.org>  Tue, 29 Nov 2016 17:00:33 +0000

freebsd-buildutils (10.3~svn296373-4) unstable; urgency=medium

  * Add Build-Depends: dpkg-dev (>= 1.16.1.1) and use buildflags.mk
    to set CFLAGS, respecting DEB_BUILD_OPTIONS flags such as noopt
  * Enable hardening=+all, which includes PIE, relro and stack protector
  * Use architecture.mk instead of individual calls to dpkg-architecture
  * Create a new MACHINE_ARCH armv6hf for linux armhf and kfreebsd-armhf
    (Closes: #845105)

 -- Steven Chamberlain <stevenc@debian.org>  Tue, 29 Nov 2016 15:30:28 +0000

freebsd-buildutils (10.3~svn296373-3ubuntu1) yakkety; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - debian/patches/prototype-setmode.diff: Prototype setmode since
      freebsd-glue and libbsd don't do the right thing.

 -- Logan Rosen <logan@ubuntu.com>  Tue, 19 Jul 2016 14:21:55 -0400

freebsd-buildutils (10.3~svn296373-3) unstable; urgency=medium

  * Update my email address in Uploaders
  * Make `ar` command lines visible in the build log
  * Adding missing required build-arch, build-indep targets
  * Now using Standards-Version 3.9.8
  * Now using debhelper compat v9
  * Add missing ${misc:Depends} to freebsd-mk (to satisfy lintian;
    although it evaluates to an empty list currently)

 -- Steven Chamberlain <stevenc@debian.org>  Tue, 19 Jul 2016 09:08:38 +0100

freebsd-buildutils (10.3~svn296373-2ubuntu1) yakkety; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - debian/patches/prototype-setmode.diff: Prototype setmode since
      freebsd-glue and libbsd don't do the right thing.

 -- Logan Rosen <logan@ubuntu.com>  Sat, 07 May 2016 03:05:54 -0400

freebsd-buildutils (10.3~svn296373-2) unstable; urgency=medium

  * Upload to unstable
  * Use new preferred hostname for upstream SVN with HTTPS
    (svn.freebsd.org).

 -- Steven Chamberlain <steven@pyro.eu.org>  Mon, 04 Apr 2016 12:34:17 +0100

freebsd-buildutils (10.3~svn296373-1) experimental; urgency=medium

  * New upstream snapshot of 10.3-RC1
  * Mark freebsd-mk as Multi-Arch: foreign (thanks, Helmut Grohne!)
  * Actually use the proper build architecture compiler
  * Map Debian's kfreebsd-armhf to FreeBSD's armv6 MACHINE_ARCH
  * Add *.test.mk files to freebsd-mk, allowing reverse-dependencies to
    use WITH_TESTS=yes
  * Use relative path in manpage symlinks
      - man_symlinks.diff

 -- Steven Chamberlain <steven@pyro.eu.org>  Sat, 05 Mar 2016 00:27:01 +0000

freebsd-buildutils (10.3~svn295289-1) experimental; urgency=medium

  * New upstream snapshot of 10.3-BETA1
  * Make get-orig-source tarball reproducible
  * Refresh patches:
    - mk_eisa.diff
    - yacc_is_byacc.diff
    - 15_manpages_gzip.diff
    - avoid_defsyspath_collision.diff
    - hppa.diff

 -- Steven Chamberlain <steven@pyro.eu.org>  Sat, 06 Feb 2016 22:50:09 +0000

freebsd-buildutils (10.2-2) experimental; urgency=medium

  * arch=all autobuilding doesn't seem to work for this yet

 -- Christoph Egger <christoph@debian.org>  Wed, 21 Oct 2015 14:28:20 +0200

freebsd-buildutils (10.2-1) experimental; urgency=medium

  * Update to 10.2 source
  * refresh patches
    * drop mk_ncp.diff -- was a workaround for kfreebsd-9
    * drop mk_hyperv.diff and mk_tests.diff now upstream
  * Compress orig-source with xz

 -- Christoph Egger <christoph@debian.org>  Wed, 21 Oct 2015 12:10:45 +0200

freebsd-buildutils (10.0-8ubuntu1) xenial; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Prototype setmode since freebsd-glue and libbsd don't do the right thing.

 -- Logan Rosen <logan@ubuntu.com>  Wed, 23 Mar 2016 11:03:16 -0500

freebsd-buildutils (10.0-8) unstable; urgency=medium

  * Team upload.
  * Backport "Multi-Arch: foreign" from experimental

 -- Christoph Egger <christoph@debian.org>  Tue, 22 Mar 2016 21:12:31 +0100

freebsd-buildutils (10.0-7ubuntu1) wily; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Prototype setmode since freebsd-glue and libbsd don't do the right thing.

 -- Logan Rosen <logan@ubuntu.com>  Sat, 11 Jul 2015 00:19:41 -0700

freebsd-buildutils (10.0-7) unstable; urgency=medium

  * Cherry-pick r276494 from HEAD:
    Don't include bsd.sys.mk within bsd.kmod.mk
  * binary-indep target requires binary-arch to run first.

 -- Steven Chamberlain <steven@pyro.eu.org>  Wed, 08 Jul 2015 16:44:07 +0100

freebsd-buildutils (10.0-6) experimental; urgency=medium

  * Raise Build-Depends on freebsd-glue to >= 0.2.20~, to not be
    affected by #759249 if the installed libbsd-dev is newer
  * Do not use -fstack-protector on alpha

 -- Steven Chamberlain <steven@pyro.eu.org>  Tue, 21 Oct 2014 22:50:38 +0100

freebsd-buildutils (10.0-5ubuntu1) vivid; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Prototype setmode since freebsd-glue and libbsd don't do the right thing.

 -- Logan Rosen <logan@ubuntu.com>  Wed, 12 Nov 2014 01:30:10 -0500

freebsd-buildutils (10.0-5) unstable; urgency=medium

  [ Petr Salinger ]
  * Backport mk_hyperv, needed by 10.1 RC

  [ Steven Chamberlain ]
  * backports MK_TESTS for freebsd-utils (>> 10.1~)
  * Do not use -fstack-protector on hppa/parisc arch (thanks, Helge
    Deller) (Closes: #758377)
  * In get-orig-source, svn export with --ignore-keywords so that
    revision tags do not fuzzy the patches
  * Add myself to Uploaders

 -- Petr Salinger <Petr.Salinger@seznam.cz>  Sat, 04 Oct 2014 18:16:23 +0200

freebsd-buildutils (10.0-4ubuntu1) utopic; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Prototype setmode since freebsd-glue and libbsd don't do the right thing.

 -- Logan Rosen <logan@ubuntu.com>  Thu, 08 May 2014 02:00:48 -0400

freebsd-buildutils (10.0-4) unstable; urgency=low

  * Add MK_EISA.

 -- Robert Millan <rmh@debian.org>  Sun, 04 May 2014 14:15:29 +0200

freebsd-buildutils (10.0-3ubuntu1) trusty; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Prototype setmode since freebsd-glue and libbsd don't do the right thing.

 -- Logan Rosen <logan@ubuntu.com>  Mon, 14 Apr 2014 17:11:31 -0400

freebsd-buildutils (10.0-3) unstable; urgency=low

  * kldxref_abort_on_error.diff: Treat EFAULT condition as fatal (see
    comment in patch header).

 -- Robert Millan <rmh@debian.org>  Fri, 21 Feb 2014 20:31:13 +0100

freebsd-buildutils (10.0-2ubuntu1) trusty; urgency=medium

  * Resynchronise with Debian.  Remaining changes:
    - Prototype setmode since freebsd-glue and libbsd don't do the right
      thing.

 -- Colin Watson <cjwatson@ubuntu.com>  Sat, 08 Feb 2014 15:05:00 +0000

freebsd-buildutils (10.0-2) unstable; urgency=low

  * Adjust LIBDATADIR, LIBEXECDIR and LINTLIBDIR for FHS conformance.

 -- Robert Millan <rmh@debian.org>  Wed, 15 Jan 2014 17:26:00 +0100

freebsd-buildutils (10.0-1) unstable; urgency=low

  * New upstream release.

 -- Robert Millan <rmh@debian.org>  Wed, 15 Jan 2014 13:37:23 +0100

freebsd-buildutils (10.0~svn259404-6) unstable; urgency=low

  * Upload to unstable.

 -- Robert Millan <rmh@debian.org>  Fri, 03 Jan 2014 17:12:31 +0100

freebsd-buildutils (10.0~svn259404-5) experimental; urgency=low

  * Break circular build-dependency with freebsd-glue by splitting
    freebsd-mk into a package of its own.

 -- Robert Millan <rmh@debian.org>  Thu, 02 Jan 2014 23:17:49 +0100

freebsd-buildutils (10.0~svn259404-4) unstable; urgency=low

  * Correctly setup BSD version of MAKEFLAGS to support parallel builds.
  * Install make and mtree by their upstream names (fmake and fmtree).
    Remove the legacy symlinks (leave them to freebsd-glue).
  * Install file2c and brandelf directly to /usr/bin.
  * Move /usr/share/mk to /usr/share/mk-freebsd. This allows
    freebsd-buildutils to be installed alongside bmake.
  * Remove bootstrap magic. bmake is the default in upstream now: just
    use it to build fmake.

 -- Robert Millan <rmh@debian.org>  Thu, 02 Jan 2014 17:43:51 +0100

freebsd-buildutils (10.0~svn259404-3) unstable; urgency=low

  * Fix aicasm install path.

 -- Robert Millan <rmh@debian.org>  Wed, 18 Dec 2013 12:15:59 +0100

freebsd-buildutils (10.0~svn259404-2) unstable; urgency=low

  * kldxref is kFreeBSD-only.

 -- Robert Millan <rmh@debian.org>  Tue, 17 Dec 2013 23:34:15 +0100

freebsd-buildutils (10.0~svn259404-1) unstable; urgency=low

  * New upstream snapshot (10.0-RC2).
    - Switch to releng/10.0 branch.
    - Add kldxref.

  [ Robert Millan ]
  * Fetch source code securely (https) in get-orig-source.

 -- Robert Millan <rmh@debian.org>  Tue, 17 Dec 2013 22:28:15 +0100

freebsd-buildutils (10~svn258496-1) unstable; urgency=low

  * New upstream snapshot.
    - Refresh all patches.
    - Add aicasm. It is now required by kernel builds.

  [ Guillem Jover ]
  * Remove myself from Uploaders.

 -- Robert Millan <rmh@debian.org>  Sat, 23 Nov 2013 15:48:42 +0100

freebsd-buildutils (10~svn253832-1) unstable; urgency=low

  * New upstream snapshot (provides MK_USB_GADGET_EXAMPLES).

 -- Robert Millan <rmh@debian.org>  Fri, 02 Aug 2013 21:04:11 +0200

freebsd-buildutils (10~svn251967-6) unstable; urgency=low

  * Bump freebsd-glue B-D to fix FTBFS.

 -- Robert Millan <rmh@debian.org>  Mon, 22 Jul 2013 21:57:31 +0200

freebsd-buildutils (10~svn251967-5) unstable; urgency=low

  * Reupload.

 -- Robert Millan <rmh@debian.org>  Mon, 22 Jul 2013 20:10:42 +0200

freebsd-buildutils (10~svn251967-4) experimental; urgency=low

  * Bring back MK_NCP (needed by kfreebsd-9).

 -- Robert Millan <rmh@debian.org>  Sat, 06 Jul 2013 22:49:13 +0200

freebsd-buildutils (10~svn251967-3) experimental; urgency=low

  * Depend on m4 as it's now required by lex (no pun intended).

 -- Robert Millan <rmh@debian.org>  Fri, 05 Jul 2013 23:25:44 +0200

freebsd-buildutils (10~svn251967-2) experimental; urgency=low

  * Depend on suitable version of freebsd-glue (for _SAFE macros).

 -- Robert Millan <rmh@debian.org>  Fri, 05 Jul 2013 23:06:31 +0200

freebsd-buildutils (10~svn251967-1) experimental; urgency=low

  * New upstream snapshot.

  [ Guillem Jover ]
  * Switch to canonical Vcs URLs.

  [ Robert Millan ]
  * Add freebsd-config back. (Closes: #712633)
  * Ease flex build-dependency.

 -- Robert Millan <rmh@debian.org>  Wed, 19 Jun 2013 12:23:55 +0200

freebsd-buildutils (10~svn237137-1) experimental; urgency=low

  * New upstream snapshot.
    - Removes yacc (it's been replaced by byacc in upstream).

 -- Robert Millan <rmh@debian.org>  Sat, 16 Jun 2012 12:17:10 +0200

freebsd-buildutils (9.0-11ubuntu1) quantal; urgency=low

  * Prototype fgetln and setmode since freebsd-glue and libbsd
    don't do the right thing. This fixes an AMD64 FTBS where
    the build filter complains about pointer conversions.
    debian/patches/prototype-fgetln-and-setmode

    Function `fgetln' implicitly converted to pointer at excludes.c:75
    Function `setmode' implicitly converted to pointer at spec.c:229

    Our automated build log filter detected the problem(s) above that will
    likely cause your package to segfault on architectures where the size of
    a pointer is greater than the size of an integer, such as ia64 and amd64.

    This is often due to a missing function prototype definition.

    Since use of implicitly converted pointers is always fatal to the application
    on ia64, they are errors.  Please correct them for your next upload.

    More information can be found at:
    http://wiki.debian.org/ImplicitPointerConversions 

 -- Tim Gardner <tim.gardner@canonical.com>  Tue, 26 Jun 2012 20:25:37 +0000

freebsd-buildutils (9.0-10) unstable; urgency=low

  * disable_wsystem_headers.diff: Disable -Wsystem-headers to avoid
    triggering #664242.
  * Fix getopt declaration.
  * Add MK_CTF build option.
  * nostrip.diff: By default, install without -s.  Let dh_strip, etc
    handle stripping (and honor DEB_BUILD_OPTIONS=nostrip, etc).
  * Remove compatibility hacks (now provided by freebsd-glue).

 -- Robert Millan <rmh@debian.org>  Fri, 25 May 2012 19:16:53 +0200

freebsd-buildutils (9.0-9) unstable; urgency=low

  * Add MK_CLANG_IS_CC build option (needed by recent kfreebsd-10).

 -- Robert Millan <rmh@debian.org>  Fri, 09 Mar 2012 22:57:12 +0100

freebsd-buildutils (9.0-8) unstable; urgency=low

  * Add getosreldate() to local headers.
  * Make feature_present() backward-compatible with pre-900038 kernels.

 -- Robert Millan <rmh@debian.org>  Thu, 23 Feb 2012 20:58:39 +0100

freebsd-buildutils (9.0-7) unstable; urgency=low

  * sys/endian.h: Don't include_next <machine/endian.h>, just include.
  * Add execvP().

 -- Robert Millan <rmh@debian.org>  Wed, 15 Feb 2012 22:57:13 +0100

freebsd-buildutils (9.0-6) unstable; urgency=low

  * Make <sys/types.h> imply <machine/endian.h>, even on non-kFreeBSD
    platforms (we always have <machine/endian.h> in local directory).

 -- Robert Millan <rmh@debian.org>  Wed, 15 Feb 2012 20:45:29 +0100

freebsd-buildutils (9.0-5) unstable; urgency=low

  * Add implicit includes to sys/stdint.h.
  * Steal a few more definitions for sys/cdefs.h.

 -- Robert Millan <rmh@debian.org>  Sat, 04 Feb 2012 17:14:34 +0100

freebsd-buildutils (9.0-4) unstable; urgency=low

  * FreeBSD code expects that <sys/param.h> implicitly defines SIG*
    macros.
  * Cherry-pick MK_SOURCELESS build option from 10-CURRENT.

 -- Robert Millan <rmh@debian.org>  Sat, 04 Feb 2012 12:27:38 +0100

freebsd-buildutils (9.0-3) unstable; urgency=low

  * Replace 10_non_kfreebsd.diff with equivalent patch from upstream
    HEAD.
  * Add __BEGIN_DECLS / __END_DECLS in local unistd.h.
  * Fix local endian.h to use native <sys/endian.h> on GNU/kFreeBSD.
  * Add local sys/errno.h and sys/stdint.h.
  * Add a few more definitions to local sys/cdefs.h.
  * Remove getline kludge. The second part was unneeded, the first one
    caused version_gen.awk to hang.
  * Add __offsetof().
  * Add nfssvc, closefrom and feature_present to unistd.h.
  * Add sys/time.h.

 -- Robert Millan <rmh@debian.org>  Sun, 29 Jan 2012 02:59:54 +0100

freebsd-buildutils (9.0-2) unstable; urgency=low

  * Add elf_common.h to local includes to fix FTBFS on GNU/Linux.
  * Install headers in freebsd hierrachy.

 -- Robert Millan <rmh@debian.org>  Sun, 08 Jan 2012 00:45:11 +0100

freebsd-buildutils (9.0-1) unstable; urgency=low

  * New upstream release.

 -- Robert Millan <rmh@debian.org>  Sat, 07 Jan 2012 20:34:01 +0100

freebsd-buildutils (8.2-8) unstable; urgency=low

  [ Matthias Klose ]
  * Fix FTBFS with ld --as-needed.  (Closes: #642091, LP: #749170)

  [ Robert Millan ]
  * Export CFLAGS in debian/rules so that it is actually propagated.
    (Closes: #642700)
  * Fix bsd.dep.mk so that -U flags are propagated in kernel builds.

 -- Robert Millan <rmh@debian.org>  Thu, 03 Nov 2011 15:02:07 +0100

freebsd-buildutils (8.2-7) unstable; urgency=low

  * 04_lex_disable_unused.diff: Fix generation of code in lex, which
    defined __unused and broke system headers (see #522773 and #522774).

 -- Robert Millan <rmh@debian.org>  Tue, 12 Jul 2011 17:53:12 +0200

freebsd-buildutils (8.2-6) unstable; urgency=low

  * 21_endian.diff: If neither TARGET_BIG_ENDIAN or TARGET_LITTLE_ENDIAN are
    defined, default to native compilation (fixes FTBFS on mips and armeb).

 -- Robert Millan <rmh@debian.org>  Wed, 06 Jul 2011 19:48:48 +0200

freebsd-buildutils (8.2-5) unstable; urgency=low

  * Disable libbsd overlay untill #630907 is fixed.  (Closes: #632600)

 -- Robert Millan <rmh@debian.org>  Mon, 04 Jul 2011 15:43:02 +0200

freebsd-buildutils (8.2-4) unstable; urgency=low

  * MACHINE_ARCH is now set to "mips" on mipsel.  (Closes: #631890)

 -- Robert Millan <rmh@debian.org>  Sat, 02 Jul 2011 13:13:57 +0200

freebsd-buildutils (8.2-3) unstable; urgency=low

  * 18_fix_sysdir.diff: Bring back search in relative paths (removing it
    breaks kfreebsd builds).  (Closes: #631889, #631892)

 -- Robert Millan <rmh@debian.org>  Tue, 28 Jun 2011 15:23:42 +0200

freebsd-buildutils (8.2-2) unstable; urgency=low

  * 18_fix_sysdir.diff: Fix SYSDIR path to make kernel modules buildable.
    (Closes: #594183).
  * Switch to use the libbsd-overlay:
    - Bump libbsd-dev Build-Depends to (>= 0.3.0).
    - Add pkg-config to Build-Depends.
    - Remove some now obsolete porting code.
  * Disable FreeBSD/pc98 pre-7.0 compatibility on non-FreeBSD (fixes FTBFS on
    hurd-i386).
  * 19_fix_cmd_pathnames.diff: Fix pathnames for a number of commands.
    (Closes: #625261)
  * Add myself to Uploaders.

 -- Robert Millan <rmh@debian.org>  Sun, 26 Jun 2011 17:47:37 +0200

freebsd-buildutils (8.2-1) unstable; urgency=low

  [ Robert Millan ]
  * 10_non_kfreebsd.diff: Make freebsd-make usable on non-kFreeBSD
    systems.  (Closes: #602768)

  [ Guillem Jover ]
  * Now using Standards-Version 3.9.2 (no changes needed).
  * Switch to source format “3.0 (quilt)”.
    - Remove quilt from Build-Depends.
    - Remove patch target in debian/rules.
    - Remove now unneeded README.source.
    - Refresh all patches.
  * Use -C option for pmake instead of manually changing dir.
  * Stop Build-Depending on pmake, bootstrap freebsd-make using GNU make
    and use it as pmake instead of using it from the pmake package.
  * Switch to debhelper compatibility level 7.
    - Use dh_prep instead of “dh_clean -k”.
  * Only use MACHINE_ARCH in freebsd-make if it's defined.
  * Add support for Multi-Arch directories to freebsd-make:
    - Do not switch LIBDIR yet, the dynamic linker does not have the
      correct paths for i386 based architectures.
    - Add builtin MACHINE_MULTIARCH make variable.
  * Refactor source and tar name into SOURCE and TARNAME in debian/rules.
  * Line-wrap CFLAGS variable in debian/rules.
  * Install binaries directly to /usr/lib/freebsd instead of relocating them
    from /usr/bin and /usr/sbin.
  * Install the man pages. (Closes: #493898)
  * Change ‘unix’ freebsd-make variable to “We run Debian, not UNIX.” and
    remove ‘.FreeBSD’ freebsd-make variable. (Closes: #493841)
  * Intersperse Depends description comments between the actual dependencies.
  * Do not install profile and libfl.a hardlinks for freebsd-lex libln.a.

 -- Guillem Jover <guillem@debian.org>  Tue, 31 May 2011 04:20:37 +0200

freebsd-buildutils (8.1-1) unstable; urgency=low

  [ Petr Salinger ]
  * New upstream version (RELENG_8_1_0_RELEASE)

  [ Aurelien Jarno ]
  * Update debian/copyright.
  * Bumped Standard-Versions to 3.9.1 (no changes).

 -- Aurelien Jarno <aurel32@debian.org>  Thu, 29 Jul 2010 21:33:33 +0200

freebsd-buildutils (8.0-1) unstable; urgency=low

  [ Petr Salinger ]
  * New upstream version (RELENG_8_0_0_RELEASE)
  * Add a get-orig-source target to debian/rules and
       stop using a tar in tar system.
  * Use quilt for patches management

  [ Aurelien Jarno ]
  * Add a README.source.

 -- Aurelien Jarno <aurel32@debian.org>  Mon, 12 Apr 2010 23:53:50 +0200

freebsd-buildutils (7.2-2) unstable; urgency=low

  * Remove part of the automatic patches in favor of patches.
  * Use libbsd instead of hacked funtions (Closes: #379259).
  * Use <bsd/sys/*.h> includes instead of <bsd/*.h>.
  * Remove depends on dash, it is now essential.
  * Add depends on ${misc:Depends}.
  * Bumped Standard-Versions to 3.8.4 (no changes).
  * Handle nostrip build options (Closes: #436857).

 -- Aurelien Jarno <aurel32@debian.org>  Sat, 10 Apr 2010 16:49:49 +0200

freebsd-buildutils (7.2-1) unstable; urgency=low

  [ Petr Salinger ]
  * New upstream version (RELENG_7_2_0_RELEASE)

 -- Aurelien Jarno <aurel32@debian.org>  Wed, 06 May 2009 09:03:20 +0200

freebsd-buildutils (7.1-2) unstable; urgency=low

  * patches/15_manpages_gzip.diff: new patch to gzip manpages with -9 by
    default, as required on Debian systems.
  * Switch to debhelper 5.
  * Bumped Standard-Versions to 3.8.1 (no changes).

 -- Aurelien Jarno <aurel32@debian.org>  Tue, 07 Apr 2009 17:49:03 +0200

freebsd-buildutils (7.1-1) unstable; urgency=low

  [ Petr Salinger ]
  * New upstream version (RELENG_7_1_0_RELEASE)

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 11 Jan 2009 11:59:32 +0100

freebsd-buildutils (7.0-2) unstable; urgency=low

  [ Petr Salinger ]
  * fix implicit-pointer-conversion by including appropriate headers.
    Closes: #493770.
  * add Vcs-* fields into debian/control.

 -- Aurelien Jarno <aurel32@debian.org>  Tue, 05 Aug 2008 14:30:25 +0200

freebsd-buildutils (7.0-1) unstable; urgency=low

  [ Petr Salinger ]
  * New upstream version (RELENG_7_0_0_RELEASE)
    - drop upstream patches 000_fix_make_double_free.diff,
      000_7-current_support_in_bsd.own.mk.diff
    - replace 02_silly_macros.diff via sed and 12_unused.diff
    - add 13_bsd_sys.diff, 14_config.diff
    - update remaining patches
  * Package rename, cleanup
  * Upload to Debian. Closes: #344417.
    See also #474761, #474762.

  [ Aurelien Jarno ]
  * Drop symlink pointing to gcc-3.4.
  * Bumped Standard-Versions to 3.8.0 (no changes).
  * Update debian/copyright.

 -- Aurelien Jarno <aurel32@debian.org>  Tue, 15 Jul 2008 19:37:00 +0200

freebsd6-buildutils (6.3-2) unreleased; urgency=low

  * Don't build-depends nor depends on gcc-3.4.

 -- Aurelien Jarno <aurel32@debian.org>  Sat, 12 Jan 2008 18:02:07 +0100

freebsd6-buildutils (6.3-1) unreleased; urgency=low

  [ Petr Salinger ]
  * New upstream version (RELENG_6_3_0_RELEASE)

  [ Aurelien Jarno ]
  * Bumped Standard-Versions to 3.7.3 (no changes).
  * Gzip manpages with -9.

 -- Aurelien Jarno <aurel32@debian.org>  Thu, 10 Jan 2008 14:03:04 +0100

freebsd6-buildutils (6.2-1) unreleased; urgency=low

  [ Petr Salinger ]
  * New upstream version (RELENG_6_2_0_RELEASE)

 -- Aurelien Jarno <aurel32@debian.org>  Mon, 15 Jan 2007 13:38:31 +0100

freebsd6-buildutils (6.0-0.2) unreleased; urgency=low

  * Add cruft to bsd.own.mk necessary to build latest kernel.

 -- Robert Millan <rmh@aybabtu.com>  Sat,  6 May 2006 13:10:05 +0200

freebsd6-buildutils (6.0-0.1) unreleased; urgency=low

  * Fork 6.x branch.
  * Switch to libbsd.
    - control (Build-Depends): Add libbsd-dev.
    - rules: export LDADD=-lbsd
    - patches/03_glibc.diff:
      - usr.sbin/config/main.c: Nuke strl{cpy,cat} hack.
      - usr.sbin/mtree/excludes.c: Nuke fgetln hack.
      - usr.bin/make/Makefile: Stop adding LDADD=-lbsd (now passed from rules).
    - patches/11_config_allow_override.diff:
      - usr.sbin/config/Makefile: s/LDADD=/LDADD+=/g.
  * Make dash and gcc-3.4 the default "sh" and "cc".
    - control (Depends): Add gcc-3.4.
    - links: New.  Setup sh and cc symlinks.
  * Pass NO_SHARED=NO from debian/rules
    - rules
    - patches/01_make_fixes.diff: Nuke part that disables NO_SHARED.
  * patches/03_glibc.diff:
    - Remove s,sys/time.h/time.h,g (was it ever needed?)
    - Nuke LIST_* defines (should be in sys/queue.h, or find another
    solution, like s,sys/queue.h,bsd/queue.h,g)
  * rules:
    - Only apply patches with *.diff suffix.
  * Move /usr/share/freebsd6-buildutils to /usr/share.
    - control (Conflicts): Add pmake.
    - patches/01_make_fixes.diff (usr.bin/make/pathnames.h): Remove
    PATH_DEFSYSPATH redefinition.
    - rules: Install mk and Mk in /usr/share.
  * patches/000_fix_make_double_free.diff: New.  Patch from upstream
    (1.155:1.158).  Thanks to Petr for spotting this.
  * Build using gcc 3.4, like upstream.
    - control (Build-Depends): Add gcc-3.4.
    - rules: Pass CC=gcc-3.4 to make.
    - patches/06_ftbfs_gcc-4.0.diff: Remove.
  * Fixes runtime getopt parsing infin loop.
    - rules (COPTS): Build with -D_GNU_SOURCE.
    - rules: Rename internal getline function to avoid collision with the one
      from Glibc (s/getline/bsd_&/g).
    - patches/06_ftbfs_gcc-4.0.diff: Remove (it had dirty getopt hacks as well).
  * patches/11_optreset.diff: New. Replace unportable optreset mangling
    with reset_getopt () from libbsd.
  * Our awk wasn't actualy from FreeBSD, but imported from original-awk.
    Let's use that directly instead.
    - control (Depends): Add original-awk.
    - links: Add link to original-awk.
    - patches/00_upstream.diff: Remove hunks that apply to awk.
    - patches/05_disable_hardlinks.diff: Ditto.
    - rules: Remove commands that work with awk.
    - fetch: Remove awk dirs from checkout/update.
  * Add gmake (as alias for gnu make).
    - control (Depends): Add make.
    - links: Add gmake link.
  * Massive cleanup in ports/Mk patches.
    - rules: Add sed rules that superceed most of the changes.
    - patches/09_ports_path.diff: Remove most of the patch, and re-diff.
    - patches/10_linux_utils.diff: Merge into 09_ports_path.diff
  * patches/09_ports_path.diff: Set PORTSDIR to /usr/share (instead of
    /usr/ports).
  * patches/09_ports_path.diff: Fix sed regexp.

 -- Robert Millan <rmh@aybabtu.com>  Fri, 17 Feb 2006 17:20:38 +0100

freebsd5-buildutils (5.4-3) unstable; urgency=low

  * Fixed the MACHINE_ARCH variable on i386 (closes: bug#328604).

 -- Aurelien Jarno <aurel32@debian.org>  Sat, 17 Sep 2005 04:36:26 +0200

freebsd5-buildutils (5.4-2) unstable; urgency=low

  * Added a dependency on bsdmainutils (closes: bug#323758).
  * Bumped Standard-Versions to 3.6.2 (no changes).

 -- Aurelien Jarno <aurel32@debian.org>  Fri, 19 Aug 2005 17:47:15 +0200

freebsd5-buildutils (5.4-1) unstable; urgency=low

  * New upstream version.
  * Added a fix for GNU/Hurd: define MAXPATHLEN if it is not already fixed.

 -- Aurelien Jarno <aurel32@debian.org>  Fri, 17 Jun 2005 18:53:06 +0200

freebsd5-buildutils (5.3+2-4) unstable; urgency=low

  * Use md5sum.textutils instead of md5sum to compute md5. Thanks to Robert
    Millan for the patch (closes: bug#313618).

 -- Aurelien Jarno <aurel32@debian.org>  Tue, 14 Jun 2005 20:42:27 +0200

freebsd5-buildutils (5.3+2-3) unstable; urgency=low

  * Package adopted by the GNU/kFreeBSD Maintainers. Thanks to Robert
    Millan for all the work done on this package.
  * Added patch from Victor Hsieh to fix incompatibilities with linux
    utilities (closes: bug#306146).

 -- Aurelien Jarno <aurel32@debian.org>  Thu,  9 Jun 2005 01:02:28 +0200

freebsd5-buildutils (5.3+2-2) unstable; urgency=low

  * Replace Architecture with Cpu/System in control.in.
  * Add /usr/ports, installed as /usr/share/freebsd5-buildutils/ports.
  * Move /usr/share/fbmk to /usr/share/freebsd5-buildutils/mk for consistency.
  * Misc package cleanup (Nuked debian/mk, etc).

 -- Robert Millan <rmh@debian.org>  Fri,  4 Feb 2005 01:30:26 +0100

freebsd5-buildutils (5.3+1-1) unstable; urgency=low

  * Add brandelf.
    - patches/07_brandelf.diff

 -- Robert Millan <rmh@debian.org>  Mon, 27 Dec 2004 21:39:45 +0100

freebsd5-buildutils (5.3-2) unstable; urgency=low

  * patches/01_make_fixes.diff:
    - Set INSTALLINFO to `which ginstall-info || which install-info`.
    - Do, however, not run install-info at all, and use manual install instead.
  * patches/06_ftbfs_gcc-4.0.diff:  New.  Don't declare maxJobs as static.
    This fixes build on gcc-4.0.  Thanks Andreas Jochens. (Closes: #285953)

 -- Robert Millan <rmh@debian.org>  Sat, 18 Dec 2004 01:50:04 +0100

freebsd5-buildutils (5.3-1) unstable; urgency=low

  * Fork for 5.x branch (package been renamed).
    - patches/02_silly_macros.diff:  Sync.

 -- Robert Millan <rmh@debian.org>  Thu, 25 Nov 2004 20:14:35 +0100

freebsd-buildutils (5.2.1+20041028.1-1) unstable; urgency=low

  * Add file2c command.

 -- Robert Millan <rmh@debian.org>  Fri, 12 Nov 2004 20:13:06 +0100

freebsd-buildutils (5.2.1+20041028-1) unstable; urgency=low

  * New upstream snapshot (6.x branch).  Drop support for btxld.
    - patches/*.diff:  Sync.
  * Use new CDBS debian/control auto-generation method.
    - control.in:  New.  Set Build-Depends on @cdbs@ tag.
    - rules:  Set DEB_AUTO_UPDATE_DEBIAN_CONTROL = yes.

 -- Robert Millan <rmh@debian.org>  Thu, 28 Oct 2004 22:53:34 +0200

freebsd-buildutils (5.2.1+20040403-11) unstable; urgency=low

  * patches/002_upstream.diff: Unfuck __unused definition in
    usr.bin/lex/flex.skl.

 -- Robert Millan <rmh@debian.org>  Sun, 20 Jun 2004 13:05:13 +0200

freebsd-buildutils (5.2.1+20040403-10) unstable; urgency=low

  * patches/002_upstream.diff: Nuke __unused completely instead of defining
    it as empty macro. (Closes: #249892)

 -- Robert Millan <rmh@debian.org>  Wed,  9 Jun 2004 18:18:47 +0200

freebsd-buildutils (5.2.1+20040403-9) unstable; urgency=low

  * control (Build-Depends): Add flex. (Closes: #248265)

 -- Robert Millan <rmh@debian.org>  Mon, 10 May 2004 14:11:02 +0200

freebsd-buildutils (5.2.1+20040403-8) unstable; urgency=low

  * Fix strl{cpy,cat} porting properly in config/main.c.

 -- Robert Millan <rmh@debian.org>  Mon, 10 May 2004 02:48:47 +0200

freebsd-buildutils (5.2.1+20040403-7) unstable; urgency=low

  * Fix stupid FTBFS.
    mk/build.mk: Don't attempt to use our make after building it!
  * mk/build.mk: Misc cleanup.

 -- Robert Millan <rmh@debian.org>  Sat,  8 May 2004 21:21:45 +0200

freebsd-buildutils (5.2.1+20040403-6) unstable; urgency=low

  * 003_glibc.diff: Fix stupid segfault in config.
  * mk/build.mk: Set MACHINE_ARCH for make.

 -- Robert Millan <rmh@debian.org>  Tue,  4 May 2004 16:20:17 +0200

freebsd-buildutils (5.2.1+20040403-5) unstable; urgency=low

  * Fix FTBFS.
    mk/build.mk: Set PATH so that our own yacc is used for building config.

 -- Robert Millan <rmh@debian.org>  Sun,  2 May 2004 18:06:29 +0200

freebsd-buildutils (5.2.1+20040403-4) unstable; urgency=low

  * Add awk and config.

 -- Robert Millan <rmh@debian.org>  Sun,  2 May 2004 14:40:25 +0200

freebsd-buildutils (5.2.1+20040403-3) unstable; urgency=low

  * patches/004_lex_bootstrap.diff: Nuked.
  * mk/build.mk: Use yacc to generate parse.h for src/usr.bin/lex.

 -- Robert Millan <rmh@debian.org>  Wed, 14 Apr 2004 14:59:23 +0200

freebsd-buildutils (5.2.1+20040403-2) unstable; urgency=low

  * control (Depends): Add dash.
  * patches/*.diff: Cleanup in order to submit upstream.

 -- Robert Millan <rmh@debian.org>  Thu,  8 Apr 2004 00:17:41 +0200

freebsd-buildutils (5.2.1+20040403-1) unstable; urgency=low

  * New upstream snapshot.
    - patches/*.diff: Resync.
  * Really apply the change (Really Closes: #240023)

 -- Robert Millan <rmh@debian.org>  Sat,  3 Apr 2004 16:02:23 +0200

freebsd-buildutils (5.1-4) unstable; urgency=low

  * Fix FTBFS on alpha. (Closes: #240023)
    - patches/003_glibc.diff (mtree): Check for _STATBUF_ST_NSEC before
      attempting nanosecond tests.
  * control: Fix typo in description. (Closes: #239923)

 -- Robert Millan <rmh@debian.org>  Sat,  3 Apr 2004 13:39:03 +0200

freebsd-buildutils (5.1-3) unstable; urgency=low

  * control (Build-Depends): Add bison.

 -- Robert Millan <rmh@debian.org>  Wed, 24 Mar 2004 22:45:55 +0100

freebsd-buildutils (5.1-2) unstable; urgency=low

  * New package: freebsd-buildutils (based on freebsd-utils).
    (Closes: #233074)

 -- Robert Millan <rmh@debian.org>  Tue, 17 Feb 2004 13:36:30 +0100

freebsd-utils (5.1-1) unstable; urgency=low

  * Upgraded to 5.1
  * Converted to cdbs, and added Build-Depends for freebsd-source-5.1,
    which contains the actual source code.

 -- Nathan Hawkins <utsl@debian.org>  Tue,  7 Oct 2003 15:18:34 -0500

freebsd-utils (5.0-2) unstable; urgency=low

  * Set maintainer to glibc-bsd-devel@lists.alioth.debian.org
  * Added me to Uploaders.
  * Turn into non-native package.
  * Added missing packages to Build-Depends (-libc5-dev, -gcc, byacc)
  * Minor fixes in debian/copyright.
  * Added dummy freebsd-utils package for upgrading.

 -- Robert Millan <rmh@debian.org>  Fri, 11 Jul 2003 04:28:37 +0200

freebsd-utils-5.0 (5.0-1) unstable; urgency=low

  * Initial Release.

 -- Nathan Hawkins <utsl@debian.org>  Fri, 11 Oct 2002 20:43:20 -0400

